Subject: Re: [Cfrg] scrypt password-based key derivation function

From: Håkon Hitland <[email-masked]>
Date: Thu, 31 Dec 2015 22:58:54 +0100

> Hiya,
>
> Just a heads-up that this is currently up for IESG approval
> on the January 7th telechat. If someone had a chance to take
> a peek in the meantime that'd be great as there were a few
> changes and clarifications done but hopefully nothing bad:-)
>
> Thanks,
> S.
>
> On 24/09/12 10:55, Simon Josefsson wrote:
>> All,
>>
>> Colin and I have published a draft describing Colin's scrypt key
>> derivation function. We would appreciate review of the document:
>>
>> http://tools.ietf.org/html/draft-josefsson-scrypt-kdf
>>
>> The input we are seeking here is primarily review of the cryptographic
>> aspects and correctness of the algorithm description, although all
>> comments and suggestions are appreciated.
>>
>> Thanks in advance,
>> /Simon
>> _______________________________________________
>> Cfrg mailing list
>> Cfrg at irtf.org
>> http://www.irtf.org/mailman/listinfo/cfrg
>>

Hi,

Would it be relevant to mention side-channel attacks in the security 
considerations section?

As I understand it, scrypt could disclose information through cache 
timing or memory access patterns if the attacker has sufficient access, 
compared to e.g. Catena and Argon2i which avoid data-dependent memory 
access.

Regards,
Håkon Hitland